For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • DELDelete the custom field value from Worker by Id
      • GETGet custom field from people by id
      • GETList all people custom fields
      • GETRetrieve custom fields for a worker
      • PUTUpdate custom field value
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsCustom Fields People

Retrieve custom fields for a worker

GET
/people/:worker_id/custom_fields
GET
/rest/v2/people/:worker_id/custom_fields
$curl https://api.letsdeel.com/rest/v2/people/d290f1ee-6c54-4b01-90e6-d701748f0851/custom_fields \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "a3f1c9e2-4b7d-4f3a-9c2e-1d2f3b4a5c6d",
5 "data": {
6 "value": "John Doe"
7 },
8 "name": "Preferred Name",
9 "type": "text"
10 },
11 {
12 "id": "b4d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
13 "data": {
14 "value": 42
15 },
16 "name": "Years of Experience",
17 "type": "number"
18 },
19 {
20 "id": "c5e6f7a8-9b0c-1d2e-3f4a-5b6c7d8e9f0a",
21 "data": {
22 "amount": 1500,
23 "currency": "USD"
24 },
25 "name": "Bonus Amount",
26 "type": "currency"
27 },
28 {
29 "id": "d6f7a8b9-0c1d-2e3f-4a5b-6c7d8e9f0a1b",
30 "data": {
31 "value": "2023-11-15"
32 },
33 "name": "Contract Start Date",
34 "type": "date"
35 },
36 {
37 "id": "e7a8b9c0-1d2e-3f4a-5b6c-7d8e9f0a1b2c",
38 "data": {
39 "text": "15%",
40 "value": 15
41 },
42 "name": "Commission Rate",
43 "type": "percentage"
44 },
45 {
46 "id": "f8b9c0d1-2e3f-4a5b-6c7d-8e9f0a1b2c3d",
47 "data": {
48 "option": "Full-time"
49 },
50 "name": "Employment Type",
51 "type": "list"
52 },
53 {
54 "id": "09c0d1e2-3f4a-5b6c-7d8e-9f0a1b2c3d4e",
55 "data": {
56 "options": [
57 "English",
58 "Spanish",
59 "French"
60 ]
61 },
62 "name": "Languages Spoken",
63 "type": "multiselect"
64 }
65 ]
66}

Returns all custom field values currently set for the specified worker. Token scopes: people:read

Was this page helpful?
Previous

Update custom field value

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequiredformat: "uuid"
Worker id.

Response

Successful response
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/